### Method

# Gio NetworkService get_domain

since: 2.22

#### Declaration

    const gchar*
    g_network_service_get_domain (
      GNetworkService* srv
    )

#### Description

Gets the domain that `srv` serves. This might be either UTF-8 or ASCII-encoded, depending on what `srv` was created with.

Available since: 2.22

Gets property | `Gio.NetworkService:domain`

#### Return value

Type: `const gchar*`

`srv`‘s domain name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.